---
title: CSSTranslate()
slug: Web/API/CSSTranslate/CSSTranslate
tags:
  - API
  - CSS Typed Object Model API
  - CSSTransformComponent
  - CSSTransformValue
  - CSSTranslate
  - Constructor
  - Experimental
  - Houdini
---
<div>{{APIRef("CSS Typed OM")}}{{SeeCompatTable}}{{draft}}</div>

<p class="summary">The <strong><code>CSSTranslate()</code></strong> constructor creates a new {{domxref("CSSTranslate")}} object representing the <a href="/en-US/docs/Web/CSS/transform-function/translate()">translate()</a> value of the individual {{CSSXref('transform')}} property in CSS.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>CSSTranslate</var> = new CSSTranslate(<em>x</em>,<em>y[</em>,<em>z]</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>{{domxref('CSSTranslate.x','x')}}</dt>
 <dd>A value for the x-axis of the {{domxref('CSSTranslate')}} object to be constructed. This must be a {{cssxref('length-percentage')}}.</dd>
 <dt>{{domxref('CSSTranslate.y','y')}}</dt>
 <dd>A value for the y-axis of the {{domxref('CSSTranslate')}} object to be constructed. This must be a {{cssxref('length-percentage')}}.</dd>
 <dt>{{domxref('CSSTranslate.z','z')}}{{optional_inline}}</dt>
 <dd>A value for the z-axis of the {{domxref('CSSTranslate')}} object to be constructed. This must be a {{cssxref('length')}}.<br>
 <br>
 If a value is passed for the <code>z-axis</code> this is a 3d transform. The value of <code>is2D</code> will be set to false.</dd>
</dl>

<h3 id="Exceptions">Exceptions</h3>

<dl>
 <dt><a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/TypeError"><code>TypeError</code></a></dt>
 <dd>Raised if the value of <code>CSSTranslate.x</code> or <code>CSSTranslate.y</code> is not a {{cssxref('length-percentage')}}.</dd>
 <dt><a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/TypeError"><code>TypeError</code></a></dt>
 <dd>Raised if the value of <code>CSSTranslate.z</code> exists but is not a {{cssxref('length')}}.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>To do</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#dom-csstranslate-csstranslate','CSSTranslate')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSTranslate.CSSTranslate")}}</p>
